Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.awt 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.awt
Class HtmlBrowser.URLDisplayer

    java.lang.Object
      org.openide.awt.HtmlBrowser.URLDisplayer

Enclosing class:
  HtmlBrowser

    public abstract static class HtmlBrowser.URLDisplayer

extends Object

A manager class which can display URLs in the proper way. Might open a selected HTML browser, knows about embedded vs. external browsers, etc.

Since:
  3.14

Constructor Summary
`protected` | `HtmlBrowser.URLDisplayer()` Subclass constructor.

Method Summary
`static HtmlBrowser.URLDisplayer` | `getDefault()` Get the default URL displayer.
`abstract void` | `showURL(URL u)` API clients usage: Call this method to display your URL in browser which is currently selected in IDE.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlBrowser.URLDisplayer

    protected HtmlBrowser.URLDisplayer()

  Subclass constructor.

Method Detail

### getDefault

    public static HtmlBrowser.URLDisplayer getDefault()

  Get the default URL displayer.

  Returns:
    the default instance from lookup

### showURL

    public abstract void showURL(URL u)

  API clients usage: Call this method to display your URL in browser which is currently selected in IDE. Typically for external browsers this method is non-blocking, doesn't wait until page gets displayed. Also, failures are reported using dialog. However note that as there are other implementations of this method, actual behaviour may be different.

  SPI clients usage: Implement this method to display given URL to the user.

  Parameters:
    `u` - the URL to show

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.awt 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.